HomeTN eCampus FacultyBrightspace LMS ToolsSupported Browsers

6.1. Supported Browsers

Brightspace Supported Browsers

(Updated 09.01.2021)

Brightspace works well with several browsers. Brightspace no longer supports any version of Microsoft Edge Legacy. You will receive a warning message if you use this browser.  Microsoft Edge Chromium version is supported.

Brightspace Learning Environment's browser version check now displays warnings for browsers earlier than the following versions:

You may be able to access Brightspace Learning Environment with older versions of the supported browsers; however, D2L does not test Brightspace Learning Environment against these older versions. You may also receive a warning that your current browser is not supported. For an optimal experience that offers better performance, accessibility, and security, D2L strongly recommends that all users access Brightspace Learning Environment with a supported browser.

Legacy Edge or Chromium Edge

Follow these steps to quickly check MS Edge. (Many browsers have similar menu options, including Google Chrome.)

 

Knowledge Tags
Browser  / 

This page was: Helpful | Not Helpful